Skip to content
Start here

Update a user seat

zero_trust.seats.edit(SeatEditParams**kwargs) -> SyncSinglePage[Seat]
PATCH/accounts/{account_id}/access/seats

Removes a user from a Zero Trust seat when both access_seat and gateway_seat are set to false.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust: Seats Write
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
body: Iterable[Body]
access_seat: bool

True if the seat is part of Access.

gateway_seat: bool

True if the seat is part of Gateway.

seat_uid: str

The unique API identifier for the Zero Trust seat.

maxLength36
ReturnsExpand Collapse
class Seat:
access_seat: Optional[bool]

True if the seat is part of Access.

created_at: Optional[datetime]
formatdate-time
gateway_seat: Optional[bool]

True if the seat is part of Gateway.

seat_uid: Optional[str]

The unique API identifier for the Zero Trust seat.

maxLength36
updated_at: Optional[datetime]
formatdate-time

Update a user seat

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.zero_trust.seats.edit(
    account_id="699d98642c564d2e855e9661899b7252",
    body=[{
        "access_seat": False,
        "gateway_seat": False,
        "seat_uid": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    }],
)
page = page.result[0]
print(page.seat_uid)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "access_seat": false,
      "created_at": "2014-01-01T05:20:00.12345Z",
      "gateway_seat": false,
      "seat_uid": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "updated_at": "2014-01-01T05:20:00.12345Z"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "access_seat": false,
      "created_at": "2014-01-01T05:20:00.12345Z",
      "gateway_seat": false,
      "seat_uid": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "updated_at": "2014-01-01T05:20:00.12345Z"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}